package com.example.mynotepad.MenuFeatures.Pics;

import androidx.appcompat.app.AppCompatActivity;
import androidx.navigation.NavController;
import androidx.navigation.Navigation;
import androidx.navigation.ui.AppBarConfiguration;
import androidx.navigation.ui.NavigationUI;

import android.os.Bundle;

import com.example.mynotepad.MenuFeatures.Utils;
import com.example.mynotepad.R;
import com.google.android.material.bottomnavigation.BottomNavigationView;

public class PicsActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_pics);
        Utils.onActivityCreateSetTheme(this, getSupportActionBar());
        BottomNavigationView navView = findViewById(R.id.nav_view);//set bottom navigation view
        AppBarConfiguration appBarConfiguration = new AppBarConfiguration.Builder(R.id.navigation_picturedNoteList , R.id.navigation_choosePic).build();//set fragments
        NavController navController = Navigation.findNavController(this , R.id.nav_pic_fragment_place);//set place of fragment
        NavigationUI.setupActionBarWithNavController(this, navController, appBarConfiguration);
        NavigationUI.setupWithNavController(navView, navController);
        getSupportActionBar().setTitle("Pics");
    }
}